#{extends 'borderNG.html' /}
#{set 'titleHead'}
Home - &{'beranda.ppk'}
#{/set}

<div class="container">
    <ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li>
            <a href="@{BerandaCtr.index()}">&{'beranda.tender'}</a>
        </li>
        <li>
            <a href="@{BerandaCtr.nonLelang()}">&{'beranda.nontender'}</a>
        </li>
        <li>
            <a href="@{BerandaCtr.PpkNonTransaksional()}">&{'beranda.pencatatan_nontender'}</a>
        </li>
        <li class="active">
            <a href="@{BerandaCtr.PpkSwakelola()}" data-toggle="tab">&{'beranda.pencatatan_swakelola'}</a>
        </li>
    </ul>

    <div class="content tab-content">
        <div class="tab-pane active" id="etendering">
            <div class="breadcrumb" style="background-color: #d9534f !important;">&{'beranda.swakelola_aktif'}</div>
        #{alert /}
            <table id="tblswakelola" class="table table-sm">
                <thead>
                <tr>
                    <th width="12%">&{'beranda.kode_paket'}</th>
                    <th>&{'beranda.nama_paket'}</th>
                    <th width="15%">&{'beranda.status'}</th>
                    <th width="200">&{'beranda.tanggal'}</th>
                    <th width="50"></th>
                </tr>
                </thead>
            </table>
        </div>
    </div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var edit  = #{jsRoute @swakelola.SwakelolaCtr.edit(':id') /};
    var view  = #{jsRoute @swakelola.SwakelolaCtr.view(':id') /};
    $(document).ready(function() {
        var table = $("#tblswakelola").DataTable({
            language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data",
            },
            order: [[ 0, "desc"]],
            ajax: "@{DataTableCtr.SwakelolaPpk()}",
            columns: [null, {render: function(data, type, row) {
                var id = row[0];
                var paket = row[1];

                action = '<a href="'+edit.url({id:id})+'"><span class="label label-primary">&{'ct.ubah_realisasi'}</span></a>'
                row[4] = action;
                return row[1] = '<a href="'+view.url({id:id})+'">'+ paket +'</a>&nbsp;<span class="label label-info">&{'ct.swakelola'}</span>' +
                        '&nbsp;<span class="label label-danger">spse4</span>';
            }},null,{orderable:false},{orderable:false}
            ]
        });
         $('#tblswakelola_filter input').unbind();
        $('#tblswakelola_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });

        $('[name^=panitia]').on('change', function() {
            var panitia_id=$(this).val();
            $.cookie("panitia_id", panitia_id , {expires:365, path:'${request.path}'});
            $('#formFilter').submit();
            table.draw();
        });
    } );
</script>
#{/set}